 

 /**
 * <p>Qualitaets- und UnterstuetzungsAgentur - Landesinstitut fuer Schule, Materialien zum schulinternen Lehrplan Informatik SII</p>
 *
 * @version 1.1; April 2014
 */

import java.io.*;

public class Wettkampfkarte implements Serializable {
	static final long serialVersionUID = 2081;

	public static final int LAUF = 1, SPRUNG = 2, WURF = 3, GESAMT = 4;

	private String name, vorname, klasse;
	private int punkteLauf, punkteSprung, punkteWurf;

	/**
	 * Die Wettkampfkarte wurde mit den angegebenen Daten initialisiert. Alle
	 * Punktzahlen sind 0.
	 */
	public Wettkampfkarte(String pName, String pVorname, String pKlasse) {
		name = pName;
		vorname = pVorname;
		klasse = pKlasse;
		punkteLauf = 0;
		punkteSprung = 0;
		punkteWurf = 0;
	}

	public Wettkampfkarte(String zeile) {
		String[] teile = zeile.split(",");
		name = teile[0];
		vorname = teile[1];
		klasse = teile[2];
		punkteLauf = Integer.valueOf(teile[3]);
		punkteSprung = Integer.valueOf(teile[4]);
		punkteWurf = Integer.valueOf(teile[5]);
	}

	/**
	 * Die der Disziplin entsprechende Punktzahl wurde gesetzt.
	 */
	public void setzePunkte(int pDisziplin, int pPunkte) {
		switch (pDisziplin) {
		case LAUF:
			punkteLauf = pPunkte;
			break;
		case SPRUNG:
			punkteSprung = pPunkte;
			break;
		case WURF:
			punkteWurf = pPunkte;
			break;
		}
	}

	/**
	 * Der Name wurde geliefert.
	 */
	public String gibName() {
		return name;
	}

	/**
	 * Der Vorame wurde geliefert.
	 */
	public String gibVorname() {
		return vorname;
	}

	/**
	 * Die Klasse wurde geliefert.
	 */
	public String gibKlasse() {
		return klasse;
	}

	/**
	 * Die Punktzahl in der angegebenen Disziplin wurde geliefert.
	 */
	public int gibPunkte(int pDisziplin) {
		switch (pDisziplin) {
		case GESAMT:
			return punkteLauf + punkteSprung + punkteWurf;
		case LAUF:
			return punkteLauf;
		case SPRUNG:
			return punkteSprung;
		case WURF:
			return punkteWurf;
		}
		return -1;
	}

	/**
	 * Eine Textform der Daten der Wettkampfkarte wurde geliefert.
	 */
	public String toString() {
		return name + "," + vorname + "," + klasse + "," + +punkteLauf + ","
				+ punkteSprung + "," + punkteWurf;
	}

}
